[BACK]Return to patch-tests_tests.sh CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / devel / deforaos-libsystem / patches

File: [cvs.NetBSD.org] / pkgsrc / devel / deforaos-libsystem / patches / patch-tests_tests.sh (download)

Revision 1.2, Tue Sep 23 12:06:49 2014 UTC (9 years, 6 months ago) by jperkin
Branch: MAIN
CVS Tags: pkgsrc-2015Q1-base, pkgsrc-2015Q1, pkgsrc-2014Q4-base, pkgsrc-2014Q4, pkgsrc-2014Q3-base, pkgsrc-2014Q3
Changes since 1.1: +11 -1 lines

Fix some build issues exposed by the cwrappers build:

  - Use REPLACE_SH for echo -n.
  - Use LD_LIBRARY_PATH for tests to find pre-installed libraries.
  - Fix parallel build issues.

$NetBSD: patch-tests_tests.sh,v 1.2 2014/09/23 12:06:49 jperkin Exp $

Avoid building the (experimental) Python binding.
Use LD_LIBRARY_PATH to find pre-installed libraries.

--- tests/tests.sh.orig	2014-08-29 19:23:48.000000000 +0000
+++ tests/tests.sh
@@ -50,7 +50,7 @@
 	echo -n "$test:" 1>&2
 	(echo
 	echo "Testing: ./$test" "$@"
-	"./$test" "$@") >> "$target" 2>&1
+	env LD_LIBRARY_PATH=../src "./$test" "$@") >> "$target" 2>&1
 	res=$?
 	if [ $res -ne 0 ]; then
 		echo " FAIL" 1>&2
@@ -103,7 +103,7 @@ _test "includes"
 _test "string"
 _test "variable"
 echo "Expected failures:" 1>&2
-_fail "python.sh"
+#_fail "python.sh"
 if [ -n "$FAILED" ]; then
 	echo "Failed tests:$FAILED" 1>&2
 	exit 2